/**
Theme Name: tonifotografia
Author: Kebes
Author URI: https://www.kebes.es
Description: tonifotografia theme
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: tonifotografia
Template: astra
*/
:root {
    --swiper-navigation-size: 40px;
    --swiper-theme-color: #FFF;
    --swiper-navigation-sides-offset: 40px
}

.ast-logo-title-inline .ast-site-identity {
    padding: 1em 0 1.5em;
}

.ast-button-wrap .menu-toggle:focus,
input:focus,
input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="reset"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
textarea:focus,
.wp-block-search__input:focus,
[data-section="section-header-mobile-trigger"] .ast-button-wrap .ast-mobile-menu-trigger-minimal:focus,
.ast-mobile-popup-drawer.active .menu-toggle-close:focus,
.woocommerce-ordering select.orderby:focus,
#ast-scroll-top:focus,
#coupon_code:focus,
.woocommerce-page #comment:focus,
.woocommerce #reviews #respond input#submit:focus,
.woocommerce a.add_to_cart_button:focus,
.woocommerce .button.single_add_to_cart_button:focus,
.woocommerce .woocommerce-cart-form button:focus,
.woocommerce .woocommerce-cart-form__cart-item .quantity .qty:focus,
.woocommerce .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus,
.woocommerce #order_comments:focus,
.woocommerce #place_order:focus,
.woocommerce .woocommerce-address-fields .woocommerce-address-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus,
.woocommerce .woocommerce-MyAccount-content form button:focus,
.woocommerce .woocommerce-MyAccount-content .woocommerce-EditAccountForm .woocommerce-form-row .woocommerce-Input.input-text:focus,
.woocommerce .ast-woocommerce-container .woocommerce-pagination ul.page-numbers li a:focus,
body #content .woocommerce form .form-row .select2-container--default .select2-selection--single:focus,
#ast-coupon-code:focus,
.woocommerce.woocommerce-js .quantity input[type=number]:focus,
.woocommerce-js .woocommerce-mini-cart-item .quantity input[type=number]:focus,
.woocommerce p#ast-coupon-trigger:focus a:focus {
    outline: none !important;
    border-width: 0;
}

.ast-mobile-popup-drawer .ast-mobile-popup-inner {
    transition: transform 0.6s ease, opacity 0.3s ease-in;
}

/*galeria-full*/
.galeria-full {
    position: relative;
    margin: 0;
    height: 100vh !important;
}

.swiper-button-next,
.swiper-button-prev {
    color: #FFF;
}

.galeria-full video,
.galeria-full img {
    width: 100%;
    height: 100vh;
    -o-object-fit: cover;
    object-fit: cover;
    display: block;
}

.galeria-full,
.galeria-full .swiper {
    margin-left: calc(-50vw + 50%);
    margin-right: calc(-50vw + 50%);
    max-width: 100vw;
    width: 100vw;
}

.swiper-button-next.swiper-button-disabled,
.swiper-button-prev.swiper-button-disabled {
    opacity: 0;
}

.galeria-title,
.galeria-full h2 {
    position: absolute;
    z-index: 10;
    bottom: 120px;
    left: 40px;
    margin: 0;
}

.galeria-title {
    bottom: 140px;
    left: 60px;
}

.galeria-full h2 a {
    text-decoration: none !important;
    color: #FFF;
    padding: 20px;
    font-weight: 400;
    font-size: 64px;
    line-height: 1em;
}

.galeria-full h1,
.galeria-full h3 {
    color: #FFF;
    font-size: 64px;
    line-height: 1em;
    font-weight: 400;
}

.galeria-full h3 {
    font-size: 32px;
}

/*galeria*/
.galeria {
    position: relative;
    --swiper-navigation-size: 25px;
}

.galeria .swiper-main img {
    height: 100vh;
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.subproducto-texto {
    flex-basis: 760px !important;
    padding: 60px 90px 60px 100px;
}

.blog .blog-texto h5,
.category .blog-texto h5,
#menu-producto h5,
.subproducto-texto h5 {
    font-size: 13px;
    color: #9A9A9A;
    margin: 0;
}

.blog .blog-texto h4,
.category .blog-texto h4,
.subproducto-texto h4 {
    font-size: 20px;
    margin-top: 6px;
}

#toni-miranda-opiniones h2,
.subproducto-texto h2 {
    font-size: 32px;
    color: #2F80ED;
    font-weight: normal;
    margin: 32px 0 -20px;
}

.subproducto-texto ul.wp-block-list {
    list-style: none;
    padding: 0;
    font-weight: bold;
}

.swiper-thumbs {
    position: absolute;
    bottom: 20px;
    width: 600px;
    left: 50%;
    transform: translateX(-50%);
}

.swiper-thumbs .swiper-slide {
    border: 2px solid transparent;
}

.swiper-thumbs .swiper-slide.swiper-slide-thumb-active {
    border: 2px solid #2F80ED;
}

.swiper-thumbs .swiper-slide img {
    aspect-ratio: 1.38;
    -o-object-fit: cover;
    object-fit: cover;
}

/*producto*/
#menu-producto {
    padding-top: 24px;
    padding-bottom: 0;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 100;
    display: flex;
    justify-content: space-between;
}

#menu-producto > div.wp-block-group {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.admin-bar #menu-producto {
    top: 32px;
}

.wp-block-navigation li a {
    border-bottom: 4px solid transparent;
    text-decoration: none !important;
    padding: 0 0 5px;
}

.wp-block-navigation li.activo a {
    border-bottom: 4px solid var(--ast-global-color-0);
}

#subproductos > div > div:nth-of-type(2n+1) > div {
    flex-direction: row-reverse;
}

/*quien-soy*/
#toni-miranda-opiniones {
    padding: 0;
    gap: 0;
}

#toni-miranda-opiniones h2 {
    margin: 0;
}

#toni-miranda-opiniones > div {
    aspect-ratio: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 50px 5vw;
}

/*contacto*/
#contacto-container {
    gap: 0;
}

#contacto-form {
    max-width: 700px;
    padding: 70px 100px;
}

#contacto-mapa > iframe {
    width: 100%;
    height: 100%;
}

#contacto-horario {
    padding: 70px 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/*blog*/
.blog .post,
.category .post {
    display: flex;
    border-radius: 0;
    box-shadow: none;
    align-items: center;
    margin: 0;
}

.blog .post:nth-of-type(odd),
.category .post:nth-of-type(odd) {
    flex-direction: row-reverse;
}

.blog .post .galeria,
.category .post .galeria {
    width: 60%;
}

.blog .post .ast-article-inner,
.category .post .ast-article-inner {
    display: none;
}

.blog .post .blog-texto,
.category .post .blog-texto {
    width: 40%;
    padding: 60px 90px 60px 100px;
}

.blog .blog-texto h2,
.blog .blog-texto h2 a,
.category .blog-texto h2,
.category .blog-texto h2 a {
    font-size: 32px;
    color: #2F80ED;
    font-weight: normal;
    margin: 32px 0 1em;
}

.single-post div#primary {
    margin-top: 0;
}

.single-post .galeria-full {
    margin-bottom: 100px;
}

/*projects*/
.projects-container {
    margin-top: 60px;
    margin-bottom: 60px !important;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}

.project-card {
    position: relative;
}

.project-image-wrapper {
    width: 100%;
    aspect-ratio: 3 / 2;
    overflow: hidden;
    position: relative;
    background: #eee;
}

.project-image-wrapper img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    display: block;
}

.project-description {
    margin-top: 15px;
}

.project-description a {
    text-decoration: none !important;
}

.project-description p {
    max-width: 400px;
}

@media (max-width: 768px) {
    .projects-container {
        grid-template-columns: 1fr;
    }
}